Name:           python-blosc2
Version:        3.2.0
Release:        %mkrel 2
Summary:        Python wrapper for the Blosc2 compression library
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://blosc.org/python-blosc2/python-blosc2.html
Source:         https://github.com/Blosc/python-blosc2/archive/v%{version}/python-blosc2-%{version}.tar.gz
Patch0:         python-blosc2-linking.patch

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(scikit-build)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(blosc2) >= 2.17.0

%description
C-Blosc2 is the new major version of C-Blosc, and is backward compatible with
both the C-Blosc1 API and its in-memory format. Python-Blosc2 is a Python
package that wraps C-Blosc2, the newest version of the Blosc compressor.

In addition, Python-Blosc2 aims to leverage the new C-Blosc2 API so as to
support super-chunks, multi-dimensional arrays (NDArray), serialization and
other bells and whistles introduced in C-Blosc2. Although this is always and
endless process, it has already caught up with most of the C-Blosc2 API
capabilities.

%package -n python3-blosc2
Summary:        Python3 wrapper for the Blosc2 compression library
Group:          Development/Python

%description -n python3-blosc2
C-Blosc2 is the new major version of C-Blosc, and is backward compatible with
both the C-Blosc1 API and its in-memory format. Python-Blosc2 is a Python
package that wraps C-Blosc2, the newest version of the Blosc compressor.

In addition, Python-Blosc2 aims to leverage the new C-Blosc2 API so as to
support super-chunks, multi-dimensional arrays (NDArray), serialization and
other bells and whistles introduced in C-Blosc2. Although this is always and
endless process, it has already caught up with most of the C-Blosc2 API
capabilities.

%prep
%autosetup -p1

sed -i 's|"torch;|#"torch;|' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
export USE_SYSTEM_BLOSC2=ON
export SKBUILD_CMAKE_BUILD_TYPE=RelWithDebInfo 
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files blosc2

%check
OPTIONS=(
)
%ifnarch %{ix86} %{arm}
%pytest tests/ "${OPTIONS[@]}" -v \
%endif

%files -n python3-blosc2 -f %{pyproject_files}
%doc README.rst RELEASE_NOTES.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.2.0-2.mga10
+ Revision: 2243722
- Mageia 10 Mass Rebuild

* Sun Mar 09 2025 daviddavid <daviddavid> 3.2.0-1.mga10
+ Revision: 2162144
- new version: 3.2.0

* Sun Mar 02 2025 wally <wally> 2.7.1-2.mga10
+ Revision: 2158090
- rebuild for python3.13

* Mon Oct 28 2024 daviddavid <daviddavid> 2.7.1-1.mga10
+ Revision: 2111622
- new version: 2.7.1

* Thu Jul 25 2024 daviddavid <daviddavid> 2.6.2-2.mga10
+ Revision: 2082567
- rebuild for blosc2 2.15.0

* Mon Apr 22 2024 daviddavid <daviddavid> 2.6.2-1.mga10
+ Revision: 2060508
- new version: 2.6.2
- new version: 2.6.1

* Sun Feb 25 2024 daviddavid <daviddavid> 2.5.1-1.mga10
+ Revision: 2044167
- initial package python-blosc2

